Skip to main content
POST
/
tokenization
/
multichain
/
reissue
/
token
/
{tokenLinkId}
TypeScript
const response: Promise<FireblocksResponse<IssueTokenMultichainResponse>> = fireblocks.tokenization.reIssueTokenMultiChain(tokenizationApiReIssueTokenMultiChainRequest);
[
  {
    "id": "fbfbfbfb-fbfb-fbfb-fbfb-fbfbfbfbfbfb",
    "status": "COMPLETED",
    "type": "NON_FUNGIBLE_TOKEN",
    "refId": "BQ5R_MY_TOKEN",
    "displayName": "My Simple ERC20 Token",
    "tokenMetadata": {
      "assetId": "BQ5R_MY_TOKEN",
      "name": "MyToken",
      "symbol": "MYT",
      "networkProtocol": "ETH",
      "totalSupply": "1000000000000000",
      "holdersCount": "6",
      "type": "ERC20",
      "contractAddress": "0x1234567890abcdef1234567890abcdef12345678",
      "issuerAddress": "rGyXjc5d7s17vvt3NtKKascvJrnSxV21kQ",
      "testnet": true,
      "blockchain": "ETH_TEST5",
      "decimals": 18,
      "vaultAccountId": "0"
    }
  }
]

Documentation Index

Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt

Use this file to discover all available pages before exploring further.

Headers

Idempotency-Key
string

A unique identifier for the request. If the request is sent multiple times with the same idempotency key, the server will return the same response as the first request. The idempotency key is valid for 24 hours.

Path Parameters

The ID of the token link

Body

application/json
vaultAccountId
string
required

The id of the vault account that initiated the request to issue the token

Example:

"0"

chains
string[]
required

The base asset identifiers of the blockchains you want to deploy to

Example:
["ETH", "POLYGON"]
useGasless
boolean

Whether to use gasless deployment or not

Example:

true

fee
string

Max fee amount for the deploy request. Interchangeable with the 'feeLevel' field

Example:

"2000"

feeLevel
enum<string>

Fee level for the deploy request. Interchangeable with the 'fee' field

Available options:
LOW,
MEDIUM,
HIGH
Example:

"MEDIUM"

Response

Successfully reissued multichain token

id
string
required

The token link id

Example:

"fbfbfbfb-fbfb-fbfb-fbfb-fbfbfbfbfbfb"

status
enum<string>
required

The token status

Available options:
PENDING,
COMPLETED
Example:

"COMPLETED"

type
enum<string>

The type of token

Available options:
FUNGIBLE_TOKEN,
NON_FUNGIBLE_TOKEN,
TOKEN_UTILITY,
TOKEN_EXTENSION
Example:

"NON_FUNGIBLE_TOKEN"

refId
string

The Fireblocks' reference id

Example:

"BQ5R_MY_TOKEN"

displayName
string

The token display name. If was not provided, would be taken from the contract template

Example:

"My Simple ERC20 Token"

tokenMetadata
object

The token's metadata